export declare class LargeProperty {
    readonly encodedData: string;
    readonly contentType?: string;
    readonly hasMore: boolean;
    readonly type: string;
    readonly url?: string;
    private static DEFAULT_MIME_TYPE;
    constructor(encodedData: string, contentType?: string, hasMore?: boolean, type?: string, url?: string);
    readonly isLoaded: boolean;
    readonly mimeType: string;
    toUrl(): string;
    asNewLargeProperty(encodedData: string, hasMore?: boolean): LargeProperty;
}
